function [X Xs marques noms] = llegir_classe_aam(dir_classe)
% [X Xs marques noms] = llegir_classe_aam(dir_classe)
% Llegeix element a element una classe sencera creada amb la eina de aam
% del tim cootes. El directori de la classe conte un subdirectori per a
% cada element.
% 
% ENTRADES:
% - dir_classe: string indicant el directori on es troben els elements de
% la classe
% 
% SORTIDES:
% - X: matriu (fils x 2 x n) amb 'n' configuracions de la classe
% - Xs: matriu (fils x n) amb info P/A de les 'n' configuracions
% - marques: vector (1 x c) indica numero de mostra on comenca cada elem.
% - noms: vector (c x {1}) amb strings identificatius de cada element
% 

    llista_elems = dir(dir_classe);

    X = [];
    Xs = [];
    marques = [];
    noms = [];
    n = 0;

    % Agafo tots els directoris que hi ha sota el path especificat tret de . i
    % ..
    for i = 1:length(llista_elems)
       if strcmp(llista_elems(i).name,'.') || strcmp(llista_elems(i).name,'..')...
               || ~llista_elems(i).isdir
           continue;
       end

       dir_elem = fullfile(dir_classe,llista_elems(i).name);

       [X_act Xs_act] = llegir_elem_aam(dir_elem);
       
       X = cat(3,X,X_act);
       Xs = cat(2,Xs,Xs_act);
       marques = [marques n+1];
       n = n + size(X_act,3);
       noms = [noms ; {llista_elems(i).name}];
    end
end
