function pintar_graf(G,Adj,mode)

    if nargin < 2
        error('Has de passar 2 args com a minim');
    end
    
    if size(Adj,1) ~= size(Adj,2)
        error('La matriu d adjacencia ha de ser quadrada');
    end
    
    if size(Adj,1) ~= size(G,2)
        error('El tamany dels grafs no coincideix amb el de les matrius d adjacencia');
    end
    
    if size(Adj,3) ~= size(G,1)
        error('El nombre de grafs i matrius d adjacencia no coincideix');
    end
        
    if nargin < 3
        mode = 0;
    end
    
    if size(mode,2) > 1
        ncols = mode(2);
        mode = 0;
    else
        ncols = 65535;
    end
    
% Si s'ha de fer en una sola figura
    if mode == 0 || mode == 1
        figure;
    end
    
    zp = [];
    max_hor = [];
    max_vert = [];
    max_v_global = [];
    n = size(G,1);
    col = 1;
    
    for i = 1:n 
        
%         Si s'ha de fer en una sola figura
        if mode == 0
%            Calculo el maxim horitzontal de la figura anterior i el maxim
%            vertical global (ull amb la direccio 'YDir')
            if ~isempty(zp)
                max_hor = max(max(zp(:,1,:)));
                if ~isempty(max_v_global)
                    max_v_global = max([max_v_global max(max(zp(:,2,:)))]);
                else
                    max_v_global = max(max(zp(:,2,:)));
                end
            end
        end
        
%        Construeixo una figura per cada arc
        zp = [];
        xs = [];
        for j = 1:size(G(i,:),2)
            for k = 1:size(Adj(:,:,i),2)
                if Adj(j,k,i)
                    arc = [G{i,j}' ; G{i,k}'];
                    zp = cat(3,zp,arc);
                end
            end
            arc = [G{i,j}' ; G{i,j}'];
            zp = cat(3,zp,arc);
        end

%         Si s'ha de fer en una sola figura
        if mode == 0
            
%             Comprovo si s'ha de fer translacio vertical (ncols)
            if col > ncols % INTERCANVIABLE2
%             if ~isempty(max_hor) % INTERCANVIABLE1
%                 if max_hor > ncols % INTERCANVIABLE1
                    max_hor = [];
                    max_vert = max_v_global;
%                 end % INTERCANVIABLE1
                col = 1;
            end
%             Si no es la primera figura de la fila calculo i aplico
%             translacio horitzontal
            if ~isempty(max_hor)
                min_hor = min(min(zp(:,1,:))); % minim de la forma actual
                gap = (max(max(zp(:,1,:))) - min_hor) / 3; % espai entre shapes
                translacio = max_hor - min_hor + gap; % translacio horitzontal
                zp(:,1,:) = zp(:,1,:) + translacio;
            end
%             Si no estem a la primera fila aplico translacio vertical
            if ~isempty(max_vert)
                min_vert = min(min(zp(:,2,:))); % minim de la forma actual
                gap = (max(max(zp(:,2,:))) - min_vert) / 10; % espai entre shapes
                translacio = max_vert - min_vert + gap; % translacio horitzontal
                zp(:,2,:) = zp(:,2,:) + translacio;
            end

            col = col + 1;
        end
        
%         Si s'ha de fer en varies figures
        if mode == 2
            figure;
        end
        
        for j = 1:size(zp,3)
            plot(zp(:,1,j),zp(:,2,j),'b.','MarkerSize',15),hold on;
            plot(zp(:,1,j),zp(:,2,j),'b-'),hold on;
        end
        
        set(gca,'YDir','reverse');
    end
end