function [g_o adj_o] = reordena_graf(g,adj,M)
% 
% function [g_o adj_o] = reordena_graf(g,adj,M)
% 
% Funcio que reordena el graf 'g' i matriu d'adjacencia 'adj' segons la
% matriu de matching (permutacio) 'M'
% 
% ENTRADES:
% - g: vector (1 x p) de cel.les de graf
% - adj: matriu (p x p) d'adjacencia del graf 'g'
% - M: matriu (m x p) de matching (permutacio)
% 
% SORTIDES:
% - g_o: vector (1 x m) de cel.les de graf 'g' reordenat
% - adj_o: matriu (m x m) d'adjacencia reordenada del graf 'g'
% 

    if nargin < 3
        error('El nombre de parametres ha de ser 3');
    end
    
    if size(g,1) > 1
        error('Tamany del graf incorrecte');
    end
    if size(g,2) ~= size(adj,1) || size(g,2) ~= size(adj,2)
        error('Tamany graf i matriu adjacencia incorrectes');
    end
    if size(M,2) ~= size(adj,1)
        error('Tamany matriu de matching (permutacio) incorrecte');
    end
    if max(sum(M,1)) > 1 || max(sum(M,2)) > 1
        error('Matriu de matching incorrecta');
    end
    
    ord = obte_ordre_desde_matching(M);
    
    g_o = [];
    for i = 1:length(ord)
        if ord(i) ~= 0
            g_o = [g_o g(ord(i))];
        else
            g_o = [g_o {[nan;nan]}];
        end
    end
    
    adj_o = M*adj*M';
    
    
